OpenTTD Source: Cheats Struct Reference

OpenTTD Source 15.0-RC2

Data Fields
Cheats Struct Reference

WARNING! Do not remove entries in Cheats struct or change the order of the existing ones! Would break downward compatibility. More...

`#include <cheat_type.h>`

## Data Fields
Cheat | magic_bulldozer {}
| dynamite industries, objects
Cheat | switch_company {}
| change to another company
Cheat | money {}
| get rich or poor
Cheat | crossing_tunnels {}
| allow tunnels that cross each other
Cheat | no_jetcrash {}
| no jet will crash on small airports anymore
Cheat | change_date {}
| changes date ingame
Cheat | setup_prod {}
| setup raw-material production in game
Cheat | edit_max_hl {}
| edit the maximum heightlevel; this is a cheat because of the fact that it needs to reset NewGRF game state and doing so as a simple configuration breaks the expectation of many
Cheat | station_rating {}
| Fix station ratings at 100%.

## Detailed Description

WARNING! Do not remove entries in Cheats struct or change the order of the existing ones! Would break downward compatibility.

Only add new entries at the end of the struct!

Definition at line 26 of file cheat_type.h.

## Field Documentation

## ◆ change_date

Cheat Cheats::change_date {}

changes date ingame

Definition at line 32 of file cheat_type.h.

## ◆ crossing_tunnels

Cheat Cheats::crossing_tunnels {}

allow tunnels that cross each other

Definition at line 30 of file cheat_type.h.

Referenced by CmdBuildTunnel().

## ◆ edit_max_hl

Cheat Cheats::edit_max_hl {}

edit the maximum heightlevel; this is a cheat because of the fact that it needs to reset NewGRF game state and doing so as a simple configuration breaks the expectation of many

Definition at line 34 of file cheat_type.h.

## ◆ magic_bulldozer

Cheat Cheats::magic_bulldozer {}

dynamite industries, objects

Definition at line 27 of file cheat_type.h.

Referenced by ChangeTownRating(), CheckAllowRemoveRoad(), CheckAllowRemoveTunnelBridge(), CheckforTownRating(), and ClearTile_Town().

## ◆ money

Cheat Cheats::money {}

get rich or poor

Definition at line 29 of file cheat_type.h.

## ◆ no_jetcrash

Cheat Cheats::no_jetcrash {}

no jet will crash on small airports anymore

Definition at line 31 of file cheat_type.h.

Referenced by CheckOrders(), FindNearestHangar(), and MaybeCrashAirplane().

## ◆ setup_prod

Cheat Cheats::setup_prod {}

setup raw-material production in game

Definition at line 33 of file cheat_type.h.

Referenced by ClickSetProdCheat().

## ◆ station_rating

Cheat Cheats::station_rating {}

Fix station ratings at 100%.

Definition at line 35 of file cheat_type.h.

Referenced by UpdateStationRating().

## ◆ switch_company

Cheat Cheats::switch_company {}

change to another company

Definition at line 28 of file cheat_type.h.

The documentation for this struct was generated from the following file:

- src/cheat_type.h